> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tag dimensions

> Returns a list of tag dimensions for the business. Tag dimensions define the structure and constraints for tags.



## OpenAPI

````yaml get /v1/businesses/{businessId}/tags/dimensions
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tags/dimensions:
    get:
      tags: []
      summary: List tag dimensions
      description: >-
        Returns a list of tag dimensions for the business. Tag dimensions define
        the structure and constraints for tags.
      operationId: business.tags.dimensions.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch tag dimensions for
          required: true
          schema:
            type: string
            format: uuid
        - name: include_deleted
          in: query
          description: Whether to include deleted tag dimensions
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Tag dimensions retrieved successfully
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTagDimensions'
        '404':
          description: Business not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiTagDimensions:
      type: object
      properties:
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/ApiTagDimension'
          description: List of tag dimensions
      required:
        - dimensions
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    ApiTagDimension:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the tag dimension
        key:
          type: string
          description: The tag dimension key
        strictness:
          $ref: '#/components/schemas/TagStrictness'
        display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        defined_values:
          type: array
          items:
            $ref: '#/components/schemas/ApiTagValueDefinition'
          description: Predefined values for this tag dimension
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - key
        - strictness
        - defined_values
        - created_at
        - updated_at
    TagStrictness:
      type: string
      enum:
        - BALANCING
        - NON_BALANCING
      description: >-
        Tag strictness level - BALANCING requires tags to be applied to whole
        journal entries that balance, NON_BALANCING has no such restriction and
        can therefore be applied to individual line items of entries, invoices,
        etc.
    ApiTagValueDefinition:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the tag value definition
        key:
          type: string
          description: The tag dimension key
        value:
          type: string
          description: The tag value
        display_name:
          type: string
          nullable: true
          description: Optional display name for the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the tag value definition was archived
      required:
        - id
        - key
        - value
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````